package com.jeeplus.test.jobPosion.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * position
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("position")
public class Position extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 职务名称
     */
    @Query
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 职务类型
     */
    private String categoryId;

    private static final long serialVersionUID = 1L;
}